# Class InvisibleMoneyButtonWallet

#### Hierarchy

- InvisibleMoneyButtonWallet

#### Implements

- EncryptablePaymailWallet

- Defined in wallets/invisible-moneybutton-wallet.ts:32

#####
Index

### Constructors

constructor

### Properties

clientId
imb
minimumAmount
myPaymail
paymailClient
suggestedAmount

### Methods

authenticate
decrypt
encrypt
getChangeOutputScript
getPaymail
getPaymailPublicKey
getSpendableBalance
isAuthenticated
sendToBitcoinAddress
setIMBWithMoneyButton
sign
verify

## Constructors

### constructor

- new InvisibleMoneyButtonWallet(options: InvisibleMoneyButtonBuilderOptions): InvisibleMoneyButtonWallet

- #### Parameters

  - ##### options: InvisibleMoneyButtonBuilderOptions

  #### Returns InvisibleMoneyButtonWallet

  - Defined in wallets/invisible-moneybutton-wallet.ts:45

## Properties

### clientId

clientId: string

- Defined in wallets/invisible-moneybutton-wallet.ts:36

### `Optional` imb

imb?: any

- Defined in wallets/invisible-moneybutton-wallet.ts:37

### minimumAmount

minimumAmount: number

- Defined in wallets/invisible-moneybutton-wallet.ts:39

### `Optional` myPaymail

myPaymail?: string

- Defined in wallets/invisible-moneybutton-wallet.ts:41

### paymailClient

paymailClient: any = ...

- Defined in wallets/invisible-moneybutton-wallet.ts:35

### suggestedAmount

suggestedAmount: number

- Defined in wallets/invisible-moneybutton-wallet.ts:40

## Methods

### authenticate

- authenticate(): Promise<void>

- #### Returns Promise<void>

  Implementation of Polywallet.EncryptablePaymailWallet.authenticate

  - Defined in wallets/invisible-moneybutton-wallet.ts:51

### decrypt

- decrypt(cipherText: Uint8Array): Promise<Uint8Array>

- #### Parameters

  - ##### cipherText: Uint8Array

  #### Returns Promise<Uint8Array>

  Implementation of Polywallet.EncryptablePaymailWallet.decrypt

  - Defined in wallets/invisible-moneybutton-wallet.ts:169

### encrypt

- encrypt(plainText: Uint8Array): Promise<Uint8Array>

- #### Parameters

  - ##### plainText: Uint8Array

  #### Returns Promise<Uint8Array>

  Implementation of Polywallet.EncryptablePaymailWallet.encrypt

  - Defined in wallets/invisible-moneybutton-wallet.ts:150

### getChangeOutputScript

- getChangeOutputScript(): Promise<Uint8Array>

- #### Returns Promise<Uint8Array>

  Implementation of Polywallet.EncryptablePaymailWallet.getChangeOutputScript

  - Defined in wallets/invisible-moneybutton-wallet.ts:74

### getPaymail

- getPaymail(): Promise<string>

- #### Returns Promise<string>

  Implementation of Polywallet.EncryptablePaymailWallet.getPaymail

  - Defined in wallets/invisible-moneybutton-wallet.ts:100

### `Private` getPaymailPublicKey

- getPaymailPublicKey(): Promise<PublicKey>

- #### Returns Promise<PublicKey>

  - Defined in wallets/invisible-moneybutton-wallet.ts:235

### getSpendableBalance

- getSpendableBalance(): Promise<number>

- #### Returns Promise<number>

  Implementation of Polywallet.EncryptablePaymailWallet.getSpendableBalance

  - Defined in wallets/invisible-moneybutton-wallet.ts:189

### isAuthenticated

- isAuthenticated(): Promise<boolean>

- #### Returns Promise<boolean>

  Implementation of Polywallet.EncryptablePaymailWallet.isAuthenticated

  - Defined in wallets/invisible-moneybutton-wallet.ts:60

### sendToBitcoinAddress

- sendToBitcoinAddress(destinationAddress: string, amountSatoshis: number): Promise<Utxo>

- #### Parameters

  - ##### destinationAddress: string

  - ##### amountSatoshis: number

  #### Returns Promise<Utxo>

  Implementation of Polywallet.EncryptablePaymailWallet.sendToBitcoinAddress

  - Defined in wallets/invisible-moneybutton-wallet.ts:195

### `Private` setIMBWithMoneyButton

- setIMBWithMoneyButton(moneyButton: any): void

- #### Parameters

  - ##### moneyButton: any

  #### Returns void

  - Defined in wallets/invisible-moneybutton-wallet.ts:221

### sign

- sign(data: Uint8Array): Promise<ISignaturePair>

- #### Parameters

  - ##### data: Uint8Array

  #### Returns Promise<ISignaturePair>

  Implementation of Polywallet.EncryptablePaymailWallet.sign

  - Defined in wallets/invisible-moneybutton-wallet.ts:122

### verify

- verify(message: Uint8Array, signature: Uint8Array): Promise<boolean>

- #### Parameters

  - ##### message: Uint8Array

  - ##### signature: Uint8Array

  #### Returns Promise<boolean>

  Implementation of Polywallet.EncryptablePaymailWallet.verify

  - Defined in wallets/invisible-moneybutton-wallet.ts:216

Generated using TypeDoc